Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.param
Interface SqlAccess

All Superinterfaces:
  Extension

All Known Implementing Classes:
  MondrianSqlAccess, TestSqlAccess

    public interface SqlAccess

extends Extension

provides information about members that may be used in (drill-thru) SQL queries

Author:
  av

Field Summary
`static java.lang.String` | `ID`

Method Summary
`com.tonbeller.wcf.param.SessionParam` | `createParameter(Member m, java.lang.String paramName)` returns a parameter that describes the member.
`com.tonbeller.wcf.param.SessionParam` | `createParameter(Member m, java.lang.String paramName, java.lang.String propertyName)` returns a parameter that describes the member.
`javax.sql.DataSource` | `getDataSource()` returns the data source to access the database

Methods inherited from interface com.tonbeller.jpivot.core.Extension
`decorate, getId, modelInitialized, setModel`

Field Detail

### ID

    static final java.lang.String ID

See Also:
  Constant Field Values

Method Detail

### getDataSource

    javax.sql.DataSource getDataSource()

  returns the data source to access the database

### createParameter

    com.tonbeller.wcf.param.SessionParam createParameter(Member m,
                                                         java.lang.String paramName)

  returns a parameter that describes the member. returns null, if the member does not represent a column in the database, for example because its the ALL member or a calculated member.

### createParameter

    com.tonbeller.wcf.param.SessionParam createParameter(Member m,
                                                         java.lang.String paramName,
                                                         java.lang.String propertyName)

  returns a parameter that describes the member. returns null, if the member does not represent a column in the database, for example because its the ALL member or a calculated member.

  Parameters:
    `m` - the member
    `propertyName` - name of a member property whose value will be used as sqlValue of the parameter. This may be used in situations where the members key is for example "John Smith" and the member property is the customer ID "123" which we want to use in the SQL queries.
    `paramName` - teh name of the new paramter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD